> For the complete documentation index, see [llms.txt](https://docs.qatts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.qatts.com/master-1/ui-action-methods/assertion-methods/assert-groups.md).

# Assert Groups

Group assertion is similar to the above element assertion. The only difference is you will be doing assertion on a group. All the Product element under the given group will be asserted in a single go. By setting ***recursive,*** Qatts will find all the product elements under the group by continuously looping through subgroups.&#x20;

#### Syntax

1. ***boolean assertGroup(String groupName,String elementType)***
2. ***boolean assertGroup(String groupName, String elementType, boolean recursive)***

| **Name**          | **Type** | **Description**                               |
| ----------------- | -------- | --------------------------------------------- |
| ***groupName***   | String   | Name of the group                             |
| ***elementType*** | String   | Type of the UI element. \[input, view, error] |
| ***recursive***   | boolean  | TRUE or FALSE                                 |

##


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.qatts.com/master-1/ui-action-methods/assertion-methods/assert-groups.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
